Debian Bug report logs - #428008
Can't upgrade debianutils: conflict with passwd

version graph

Package: debianutils; Maintainer for debianutils is Clint Adams <clint@debian.org>; Source for debianutils is src:debianutils.

Reported by: Peter Chubb <peterc@gelato.unsw.edu.au>

Date: Fri, 8 Jun 2007 01:03:01 UTC

Severity: normal

Merged with 428633

Found in versions debianutils/2.20.1, debianutils/2.8.4

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#428008; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
New Bug report received and forwarded. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Can't upgrade debianutils: conflict with passwd
Date: Fri, 08 Jun 2007 10:59:46 +1000
Package: debianutils
Version: 2.20.1
Severity: normal

When trying to do an apt-get upgrade I see:

Preparing to replace debianutils 2.14.3 (using .../debianutils_2.20.1_ia64.deb) ...
Unpacking replacement debianutils ...
dpkg: error processing /var/cache/apt/archives/debianutils_2.20.1_ia64.deb (--unpack):
 trying to overwrite `/usr/sbin/add-shell', which is also in package passwd
Errors were encountered while processing:
 /var/cache/apt/archives/debianutils_2.20.1_ia64.deb



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: ia64

Kernel: Linux 2.6.22-rc4-g7244d545-dirty
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages debianutils depends on:
ii  libc6.1                       2.5-9      GNU C Library: Shared libraries

debianutils recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#428008; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 428008@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Peter Chubb <peterc@gelato.unsw.edu.au>, 428008@bugs.debian.org
Subject: Re: Bug#428008: Can't upgrade debianutils: conflict with passwd
Date: Thu, 7 Jun 2007 21:34:13 -0400
On Fri, Jun 08, 2007 at 10:59:46AM +1000, Peter Chubb wrote:
> Package: debianutils
> Version: 2.20.1
> Severity: normal
> 
> When trying to do an apt-get upgrade I see:
> 
> Preparing to replace debianutils 2.14.3 (using .../debianutils_2.20.1_ia64.deb) ...
> Unpacking replacement debianutils ...
> dpkg: error processing /var/cache/apt/archives/debianutils_2.20.1_ia64.deb (--unpack):
>  trying to overwrite `/usr/sbin/add-shell', which is also in package passwd
> Errors were encountered while processing:

Which version of passwd is installed?



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#428008; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #15 received at 428008@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: Clint Adams <schizo@debian.org>
Cc: Peter Chubb <peterc@gelato.unsw.edu.au>, 428008@bugs.debian.org
Subject: Re: Bug#428008: Can't upgrade debianutils: conflict with passwd
Date: Fri, 08 Jun 2007 12:25:36 +1000
>>>>> "Clint" == Clint Adams <schizo@debian.org> writes:

Clint> On Fri, Jun 08, 2007 at 10:59:46AM +1000, Peter Chubb wrote:
>> Package: debianutils Version: 2.20.1 Severity: normal
>> 
>> When trying to do an apt-get upgrade I see:
>> 
>> Preparing to replace debianutils 2.14.3 (using
>> .../debianutils_2.20.1_ia64.deb) ...  Unpacking replacement
>> debianutils ...  dpkg: error processing
>> /var/cache/apt/archives/debianutils_2.20.1_ia64.deb (--unpack):
>> trying to overwrite `/usr/sbin/add-shell', which is also in package
>> passwd Errors were encountered while processing:

Clint> Which version of passwd is installed?

4.0.3-39

--
Dr Peter Chubb  http://www.gelato.unsw.edu.au  peterc AT gelato.unsw.edu.au
http://www.ertos.nicta.com.au           ERTOS within National ICT Australia



Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 428008-done@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Peter Chubb <peterc@gelato.unsw.edu.au>, 428008-done@bugs.debian.org
Subject: Re: Bug#428008: Can't upgrade debianutils: conflict with passwd
Date: Thu, 7 Jun 2007 22:35:57 -0400
On Fri, Jun 08, 2007 at 12:25:36PM +1000, Peter Chubb wrote:
> Clint> Which version of passwd is installed?
> 
> 4.0.3-39

You have a passwd package older than etch (stable) and you're
installing debianutils from sid (unstable); this combination is
not supported.

You should upgrade passwd to 1:4.0.18.1-7 at the very least
before continuing with debianutils installation.



Bug reopened, originator not changed. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Thu, 14 Jun 2007 10:27:38 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Peter Chubb <peterc@gelato.unsw.edu.au> Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Thu, 14 Jun 2007 12:18:07 GMT) Full text and rfc822 format available.

Merged 428008 428633. Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Thu, 14 Jun 2007 12:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#428008; Package debianutils. Full text and rfc822 format available.

Acknowledgement sent to "Sebastien WILLEMIJNS" <persoseb@willemijns.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #31 received at 428008@bugs.debian.org (full text, mbox):

From: "Sebastien WILLEMIJNS" <persoseb@willemijns.com>
To: 428008@bugs.debian.org
Subject: a solution
Date: Tue, 26 Jun 2007 01:29:37 +0200
hi,

the workaround i have found is to launch these 4 steps:
wget
http://ftp.ie.debian.org/debian/pool/main/m/mktemp/mktemp_1.5-2_i386.deb
dpkg -i mktemp_1.5-2_i386.deb
wget
http://ftp.ee.debian.org/debian/pool/main/d/debianutils/debianutils_2.17_i386.deb
dpkg -i debianutils_2.17_i386.deb

HPH

notice URL is for I386 ;)



-- 
  Sebastien WILLEMIJNS

                      ____ 
                     / __ \
                    | /  | |
                    | \__| |
                    |    `-'
  P-E-R-S-O-S-E-B   `-------  W-I-L-L-E-M-I-J-N-S-.-C-O-M 

(ras le bol du spam ! no spam at home !)





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2007 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:56:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.